Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| jBPM distribution 6.0.0.CR4-Pre1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jbpm.kie.services.impl.model
Class ProcessDesc

    java.lang.Object
      org.jbpm.kie.services.impl.model.ProcessDesc

All Implemented Interfaces:
  Serializable

    public class ProcessDesc

extends Object
implements Serializable

See Also:
  Serialized Form

Constructor Summary
`ProcessDesc()`
`ProcessDesc(String id, String name, String version, String packageName, String type, String knowledgeType, String namespace, String deploymentId)`

Method Summary
`void` | `addForm(String id, String formContent)`
`boolean` | `equals(Object obj)`
`String` | `getDeploymentId()`
`String` | `getEncodedProcessSource()`
`Map<String,String>` | `getForms()`
`String` | `getId()`
`String` | `getKnowledgeType()`
`String` | `getName()`
`String` | `getNamespace()`
`String` | `getOriginalPath()`
`String` | `getPackageName()`
`String` | `getType()`
`String` | `getVersion()`
`int` | `hashCode()`
`void` | `setDeploymentId(String deploymentId)`
`void` | `setEncodedProcessSource(String processString)`
`void` | `setForms(Map<String,String> forms)`
`void` | `setId(String id)`
`void` | `setName(String name)`
`void` | `setOriginalPath(String originalPath)`
`void` | `setPackageName(String packageName)`
`String` | `toString()`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### ProcessDesc

    public ProcessDesc()

### ProcessDesc

    public ProcessDesc(String id,
                       String name,
                       String version,
                       String packageName,
                       String type,
                       String knowledgeType,
                       String namespace,
                       String deploymentId)

Method Detail

### getId

    public String getId()

### getName

    public String getName()

### getVersion

    public String getVersion()

### getPackageName

    public String getPackageName()

### getType

    public String getType()

### getKnowledgeType

    public String getKnowledgeType()

### getNamespace

    public String getNamespace()

### toString

    public String toString()

  Overrides:
    `toString` in class `Object`

### setId

    public void setId(String id)

### setName

    public void setName(String name)

### setPackageName

    public void setPackageName(String packageName)

### getOriginalPath

    public String getOriginalPath()

### setOriginalPath

    public void setOriginalPath(String originalPath)

### hashCode

    public int hashCode()

  Overrides:
    `hashCode` in class `Object`

### equals

    public boolean equals(Object obj)

  Overrides:
    `equals` in class `Object`

### getDeploymentId

    public String getDeploymentId()

### setDeploymentId

    public void setDeploymentId(String deploymentId)

### getEncodedProcessSource

    public String getEncodedProcessSource()

### setEncodedProcessSource

    public void setEncodedProcessSource(String processString)

### getForms

    public Map<String,String> getForms()

### setForms

    public void setForms(Map<String,String> forms)

### addForm

    public void addForm(String id,
                        String formContent)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| jBPM distribution 6.0.0.CR4-Pre1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2013 JBoss by Red Hat. All Rights Reserved.